/**
 * 
 */
BewypeJS.Ui.TextView = new Class(
{
    // parent class
    Extends: BewypeJS.Ui.Widget,    

    initialize: function (params)
    {
        // init parent
        this.parent(params);
        //
        this.text = BewypeJS.Utils.getVal(params, "text");
        //
        this.wrapMode = "hard";
        this.editable = true;
    },

    getDocFactory: function ()
    {
        // manage readonly here
        if(this.editable == true)
        {
            // no specific attribute
            MochiKit.Base.noop();
        }
        else
        {
            // update link param
            this.attrs["readonly"] = "readonly";
        }

        // add other attributes
        this.attrs["wrap"] = this.wrapMode;

        // render
        return MochiKit.DOM.TEXTAREA(this.attrs, this.text);
    },

    setText: function (text)
    {
        this.text = text;
    },

    getText: function ()
    {
        return this.text;
    },

    setWrapMode: function (wrapMode)
    {
        this.wrapMode = wrapMode;
    },

    getWrapMode: function ()
    {
        return this.wrapMode;
    },

    setEditable: function (editable)
    {
        this.editable = editable;
    },

    getEditable: function ()
    {
        return this.editable;
    }
});

