#!/usr/bin/env python
# -*- coding: utf-8 -*-

# nevow import
from nevow import tags as T

# bewype ui import
from bewype.core.ui.widget import Widget

class TextView(Widget):

    def __init__(self, id_=None, class_=None, text=None):
        # init parent
        Widget.__init__(self, id_=id_, class_=class_)
        # set text
        self.text = text
        # set default values
        self.wrap_mode = "hard"
        self.editable = True

    def get_docFactory(self):
        # set the textearea readony flag
        if self.editable is True:
            _readonly = None
        else:
            _readonly = "readonly"
        # text can not be None
        if self.text is None:
            _text = ""
        else:
            _text = self.text
        # return doc
        return T.textarea(id=self.id_, class_=self.class_,
                wrap_mode=self.wrap_mode, readonly=_readonly)[_text]

    def set_text(self, text):
        self.text = text

    def get_text(self):
        return self.text

    def set_wrap_mode(self, wrap_mode):
        self.wrap_mode = wrap_mode

    def get_wrap_mode(self):
        return self.wrap_mode

    def set_editable(self, setting):
        self.editable = editable

    def get_editable(self):
        return self.editable

