
/**
 *
 */
BewypeJS.Component.ReCaptcha = new Class(
{
    // parent class
    Extends: BewypeJS.Component,

   /**
     *
     */
    initialize: function (className, widgetId, groupId, valueKey)
    {
        // init parent
        this.actionList = ["Cancel", "Check", "Edit", "Edit", "Reload"];
        this.parent(className, widgetId, groupId, valueKey, true);
    },

    ////

    paramsCb: function (linkElement, params)
    {
        // get current action first
        var _action = BewypeJS.Utils.getVal(params, "action");
        var _partner = BewypeJS.Utils.getVal(params, "_partner");
        // get reCaptcha field elements
        var _chField = MochiKit.DOM.getElement("recaptcha_challenge_field");
        var _reField = MochiKit.DOM.getElement("recaptcha_response_field");
        //
        if (MochiKit.Base.isUndefinedOrNull(_action)
            || MochiKit.Base.isUndefinedOrNull(_chField)
            || MochiKit.Base.isUndefinedOrNull(_reField))
        {
            return null;
        }
        else if (_action == "Cancel"
                || _action == "Edit"
                || _action == "Reload")
        {
            // always reload
            Recaptcha.reload();
            return null;
        }
        else if (_action == "Check")
        {
            // get editor content
            params["recaptcha_challenge"] = _chField.value;
            params["recaptcha_response"] = _reField.value;
            // always return the params dict for the rpc call
            return params;
        }
        else
        {
            return null;
        }
    },

    resultCb: function (linkElement, params, result)
    {
        // always reload
        Recaptcha.reload();
    }
});

