
/**
 *
 */
BewypeJS.Ui.Utils = {

    /**
     *
     */
    getCellContent: function (modelRow, doHtmlRendering,
                            cellRenderer, kargs, rendFunc)
    {
        // simple data return if no renderer
        if (doHtmlRendering == false)
        {
            return modelRow[kargs["text"]];
        }
        else
        {
            MochiKit.Base.noop();
        }

        if (MochiKit.Base.isUndefinedOrNull(rendFunc))
        {
            MochiKit.Base.noop();
        }
        else
        {
            // overide render func as require
            cellRenderer.getDocFactory = rendFunc
        }

        // update values
        var _keys = MochiKit.Base.keys(kargs);
        var _values = MochiKit.Base.values(kargs);
        //
        for(var _i=0; _i < _keys.length; _i++)
        {
            //
            var _key = _keys[_i];
            var _col = _values[_i];
            //
            var _attribute = eval("cellRenderer." + _key);

            // can be null but should be defined
            if (MochiKit.Base.isUndefined(_attribute))
            {
                MochiKit.Base.noop();
            }
            else
            {
                // renderer type ex.: CellRendererText
                // model_row ex.: ["TextVal", "MarkupVal", True]
                // kargs ex.: ["text": 0, "markup": 1, "visible": 2]
                if (MochiKit.Base.isUndefined(_col))
                {
                    eval("cellRenderer." + _key + " = null");
                }
                else
                {
                    eval("cellRenderer." + _key + " = modelRow[_col]");
                }
            }
        }

        //
        if (cellRenderer instanceof BewypeJS.Ui.Box)
        {
            var params = {"tableWidth": "100%"};
            return cellRenderer.getDocFactory(params);
        }
        else
        {
            return cellRenderer.getDocFactory();
        }
    }
}

